package com.sipai.jspatrol.Bean;

import org.litepal.LitePal;
import org.litepal.crud.LitePalSupport;

import java.io.Serializable;
import java.util.List;

/**
 * Created by lvliming on 2018/12/17.
 */

public class Patrol extends LitePalSupport implements Serializable{
    private String bizid,company,content,endTime,sid,insdt,insuser,name,patrolArea,patrolAreaId,patrolModelId,patrolPlanId,
            startTime,status,type,workResult,worker,workerId;
    private String actFinishTime;
    private PatrolModel patrolModel;
    private String patrolType;
    private List<ProPatrolPoint> patrolRecordPatrolRoutes;

    public String getBizid() {
        return bizid;
    }

    public void setBizid(String bizid) {
        this.bizid = bizid;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getInsdt() {
        return insdt;
    }

    public void setInsdt(String insdt) {
        this.insdt = insdt;
    }

    public String getInsuser() {
        return insuser;
    }

    public void setInsuser(String insuser) {
        this.insuser = insuser;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPatrolArea() {
        return patrolArea;
    }

    public void setPatrolArea(String patrolArea) {
        this.patrolArea = patrolArea;
    }

    public String getPatrolAreaId() {
        return patrolAreaId;
    }

    public void setPatrolAreaId(String patrolAreaId) {
        this.patrolAreaId = patrolAreaId;
    }

    public String getPatrolModelId() {
        return patrolModelId;
    }

    public void setPatrolModelId(String patrolModelId) {
        this.patrolModelId = patrolModelId;
    }

    public String getPatrolPlanId() {
        return patrolPlanId;
    }

    public void setPatrolPlanId(String patrolPlanId) {
        this.patrolPlanId = patrolPlanId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getWorkResult() {
        return workResult;
    }

    public void setWorkResult(String workResult) {
        this.workResult = workResult;
    }

    public String getWorker() {
        return worker;
    }

    public void setWorker(String worker) {
        this.worker = worker;
    }

    public String getWorkerId() {
        return workerId;
    }

    public void setWorkerId(String workerId) {
        this.workerId = workerId;
    }

    public PatrolModel getPatrolModel() {
        return patrolModel;
    }

    public void setPatrolModel(PatrolModel patrolModel) {
        this.patrolModel = patrolModel;
    }

    public String getPatrolType() {
        return patrolType;
    }

    public void setPatrolType(String patrolType) {
        this.patrolType = patrolType;
    }

    public String getActFinishTime() {
        return actFinishTime;
    }

    public void setActFinishTime(String actFinishTime) {
        this.actFinishTime = actFinishTime;
    }

    public List<ProPatrolPoint> getPatrolRecordPatrolRoutes() {
        return LitePal.where("patrolRecordId = ?",sid).find(ProPatrolPoint.class);
    }

    public void setPatrolRecordPatrolRoutes(List<ProPatrolPoint> patrolRecordPatrolRoutes) {
        this.patrolRecordPatrolRoutes = patrolRecordPatrolRoutes;
    }
}
